Avisos
Vaciar todo

[Resuelto] Actualizar a Joomla 4.2  

 
Jaime
 Jaime
Estimable Member

Buenos días,

 

Voy a migrar de Joomla 3.10.1 al nuevo Joomla 4.2.

En mi web tengo muy pocas extensiones o plugins de terceros por lo que creo que el proceso no será muy complicado.

He ido borrando antiguos plugins y he hecho limpieza de artículos, items, menús, categorías y módulos que estaban en la papelera o que ya no van a ser utilizados.

También he puesto la plantilla Beez 3, según recomiendan en los textos de ayuda a la migración.

Finalmente, la comprobación previa a la actualización en mi panel de Joomla me indica unas extensiones de las cuales no hay información y concretamente una que marca como más peligrosa:

 

Web Links Extension Package, que pertenece a Joomla Proyect.

 

- Por favor, ¿podéis echar un vistazo a las capturas de pantalla por si veis algo más que puede ser peligroso al hacer la migración a Joomla 4.2?

- Otra duda que tengo es la siguiente:

 

¿Es mejor que desinstale RSFirewall, la plantilla JaPurity y T3, aunque me indiquen que están actualizados a Joomla 4, como medida de precaución?

 

Muchas gracias de antemano,

 

Jaime

1
2
3

Contenido solo visible a usuarios registrados

Respondido : 30/08/2021 10:14 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Jaime.

El único aviso que veo es el de Web Links Extension pro lo demás lo veo todo bien, no creo que tengas problemas en actualizar.

¿Es mejor que desinstale RSFirewall, la plantilla JaPurity y T3,

No en principio no, solo revisa que tengas las ultimas versiones de la plantilla y las extensiones.

 

Un saludo

Respondido : 30/08/2021 12:12 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Jaime
 Jaime
Estimable Member

Hola, muchas gracias por vuestra respuesta anterior.

He migrado de Joomla  3.10.1  a  Joomla 4.2. Se ve muy bien, los enlaces en las serps llevan perfectamente a los artículos, pero

tengo unos problemas que paso a describir:

- Cuando trato de borrar un ítem de menú me sale una página de error de color rojo.

- Cuando quiero crear un nuevo menú, al cerrarlo, me pasa lo mismo, me sale la página de error.

- Al crear un artículo y guardarlo me vuelve a salir la página de error.. Lo mismo ocurre al hacer un cambio y guardar, sale la página de error.

 

Es raro, ya que tengo una web de pruebas (aunque diferente) y la he migrado sin problemas a Joomla 4.

 

No sé si puede tener que ver con el PHP o algo relacionado con el servidor.

Agradecería mucho vuestra ayuda, muchas gracias.

Jaime

Captura de pantalla de 2021 08 30 17 03 35

 

 

 

Respondido : 30/08/2021 5:27 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Es un error 500, posiblemente se genera por algo en el servidor, debería quedar registrado con más detalle.

Revisa los errores recientes generados en el archivo error_log, también puedes pasar una revisión de tu cuenta con la herramienta Stephan y verificar los errores recientes.

https://guias.webempresa.com/preguntas-frecuentes/revision-automatica-asistente-virtual-stephan/

Puedes copiarnos  los errores más recientes.

Saludos.

Respondido : 30/08/2021 5:48 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Jaime
 Jaime
Estimable Member

Buenas noches Jhon,

He copiado la última parte del archivo error_log en PDF.  Era muy grande. Supongo que te interesa solo la última parte.

También te mando un PDF con la información de Stephan que me ha mandado el sistema por email.

Con relación a todo esto, he visto que la base de datos sql que me descargué como copia de seguridad pesa muchísimo, como 10 mb.

 

Atento a tus indicaciones, atentamente,

Jaime

 

Respondido : 30/08/2021 7:52 pm
Bruno
 Bruno
Soporte CMS Webempresa Moderator

Que tal Jaime,

Pudiendo ver el extracto del error log aparece lo siguiente 

[30-Aug-2021 05:54:17 Europe/Berlin] PHP Deprecated: Methods with the same name as their class will not be constructors in a future version of PHP; plgSystemEUCookieDirectiveLite has a deprecated constructor in /home/tecnolog/public_html/golfsitges.com/plugins/system/EUCookieDirectiveLite/EUCookieDirectiveLite.php on line 37

Lo que indica es que los métodos con clases de igual nombre ya no esta en uso por lo que si SystemEUCookieDirectiveLite te da un indicio de algún modulo o complemento instalado debes intentar probar desactivarlo y verificar si los errores para editar persisten.

Saludos!

Respondido : 30/08/2021 8:25 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Prueba cambiando la versión de PHP, al menos a la versión 7.4 y verifica.

Para cambiar la versión de PHP revisa: https://guias.webempresa.com/preguntas-frecuentes/cambiar-la-version-php/

Saludos.

Esta publicación ha sido modificada el hace 2 meses por Jhon
Respondido : 30/08/2021 8:30 pm
Jaime
 Jaime
Estimable Member

@jmarreros

Buenas noches Bruno y Jhon,

He cambiado la versión de php a 7.4 y parece que funciona muchísimo mejor!!

Sois geniales,  Muchas gracias!

Por favor, ¿puedo mantener el tema abierto hasta mañana al mediodía?

Muchas gracias y buenas noches.

 

Respondido : 30/08/2021 9:20 pm

Cursos Gratuitos WordPress

Bruno
 Bruno
Soporte CMS Webempresa Moderator

Que tal Jaime,

Sin problema, quedamos atentos a cualquier consulta

Saludos!

Respondido : 30/08/2021 9:53 pm
Jaime
 Jaime
Estimable Member

Todo perfecto!

Cierro el tema.

Muchas gracias de nuevo!

Respondido : 01/09/2021 9:45 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress